Package org.apache.qpid.proton.reactor

# Class Reactor.Factory

java.lang.Object
org.apache.qpid.proton.reactor.Reactor.Factory

Enclosing interface:
  Reactor

public static final class Reactor.Factory extends Object

## Constructor Summary

Constructors
Constructor
Description
`Factory()`

## Method Summary

Modifier and Type
Method
Description
`static Reactor`
`create()`
`static Reactor`
`create(ReactorOptions options)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Factory

public Factory()

## Method Details

### create

public static Reactor create() throws IOException

Throws:
  `IOException`

### create

public static Reactor create(ReactorOptions options) throws IOException

Throws:
  `IOException`